classification
Title: _lsprof issue
Type: crash Stage:
Components: Extension Modules Versions: Python 3.0
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: brett.cannon Nosy List: benjamin.peterson, brett.cannon
Priority: release blocker Keywords:

Created on 2008-09-18 02:32 by brett.cannon, last changed 2008-10-07 02:33 by benjamin.peterson. This issue is now closed.

Messages (4)
msg73356 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2008-09-18 02:32
http://psf.upfronthosting.co.za/roundup/security/issue3
msg74003 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2008-09-29 04:05
2.6 is fixed in r66677 and 2.5 in r66678. 3.0 has not been applied yet
as test_cProfile is still currently listed as a broken test. So I am
blocking 66677 on py3k for now.
msg74087 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2008-09-30 17:49
See the fix in r66700 for the change to _lsprof.c to use.
msg74421 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2008-10-07 02:33
Forward ported in r66827.
History
Date User Action Args
2008-10-07 02:33:17benjamin.petersonsetstatus: open -> closed
resolution: fixed
messages: + msg74421
nosy: + benjamin.peterson
2008-10-02 12:56:14barrysetpriority: deferred blocker -> release blocker
2008-09-30 17:49:39brett.cannonsetmessages: + msg74087
2008-09-29 04:05:27brett.cannonsetpriority: release blocker -> deferred blocker
messages: + msg74003
versions: - Python 2.6, Python 2.5
2008-09-29 03:35:09brett.cannonsetassignee: brett.cannon
2008-09-18 05:44:10barrysetpriority: deferred blocker -> release blocker
2008-09-18 02:32:13brett.cannoncreate